services:
  homepage:
    container_name: homepage
    image: ghcr.io/gethomepage/homepage:latest
    environment:
      PUID: ${PUID}
      PGID: ${PGID}
    env_file: .env
    networks:
      - reverse-proxy
    ports:
      - 3005:3000
    restart: always
    volumes:
      - ${DOCKER_CONFIGS}/config:/app/config

networks:
  reverse-proxy:
    external: true
